/*********************************************
 *javascript
 *********************************************/

function setImgSrcByName(imgNodeName, src) {
    var images = document.getElementsByName(imgNodeName);
    for (var i = 0; i < images.length; i++) {
        images[i].src = src;
    }
}

function callAppFun(url) {
//    Android 通过 js 调用到native 的功能，统一通过send来， 用location的话会出现回调方法遗漏的情况。
//    document.location = url;
    window.WebViewJavascriptBridge.send(
        url
        , function(responseData) {
            console.log('===>>>js need response...');
        }
    );
}

function insertHotComment(hotCommentHtml,hotCommentCount) {
    $("#hotCommentBox").css('display','block');
    $("#hotReplyCount").text('('+hotCommentCount+')');
    var listDiv = document.getElementById("hotLoading");
    if (listDiv)
    {
        listDiv.insertAdjacentHTML("beforeBegin",hotCommentHtml);
    }
}

function showMoreHotComment(moreDiv)
{
    $('#hotList').children('li').css('display','block');
    $('#hotLoading').css('display','none');
}

function showMoreComment(moreDiv,floorNum,floorIndex,total) {
    if (total > 2)
    {
        if (total <= 10)
        {
            if (moreDiv.getAttribute("showall") == "0")
            {
                moreDiv.setAttribute("showall","1");
                var idName = '#more'+floorIndex;
                $(idName).css('display','none');
                var className = '.floorNum'+floorNum;
                $(className).css('display','block');
            }
        }
        else
        {
        var url = 'tianya://showMoreComment?floorIndex=' + floorIndex;
        callAppFun(url);
//            document.location = 'tianya://showMoreComment?floorIndex='+floorIndex;
        }
    }
}

function addMoreComments(html,hasMore,fontSize) {
    var listDiv = document.getElementById("loading");
    if (listDiv)
    {
        listDiv.insertAdjacentHTML("beforeBegin",html);
        if(hasMore == "0")
        {
            $(".loading").css('display','none');
        }
        changeFontSize(fontSize);
    }
}

function showAllReply() {
    $('#NoLandlord').css('display','none');
    $('#allReplyList').children('li').css('display','block');
}

function onlyShowReplyForUser(userid) {
    $('#allReplyList').children('li').css('display','none');
    
    var className = '.replyBy'+userid;
    var liArr = $(className);
    if (liArr.length>0)
    {
        $(className).css('display','block');
        $('#NoLandlord').css('display','none');
    }
    else
    {
        $('#NoLandlord').css('display','block');
    }
}

function imageOnClick(obj) {
    src_temp = obj.getAttribute('src_temp');
//    document.location = 'tianya://openLargeImage?url='+ src_temp;
    var url = 'tianya://openLargeImage?url=' + src_temp;
    callAppFun(url);
}

function insertMoreComments(startId,endId,html,lastReplyId,leftFoldCount)
{
    startDivId = "fold"+startId;
    var startDiv = document.getElementById(startDivId);
    if (startDiv)
    {
        startDiv.insertAdjacentHTML("beforeBegin",html);
        if(leftFoldCount == "0")
        {
            startDiv.style.display='none';
        }
        else
        {
            eyeId = 'eye'+startId;
            eyeDiv = document.getElementById(eyeId);
            if (eyeDiv)
            {
                eyeId = '#count'+startId;
                $(eyeId).text(leftFoldCount);
                
                eyeHref = 'tianya://expansion?startId='+lastReplyId+'&endId='+endId+'&foldCount='+leftFoldCount;
                $(eyeId).attr("href",eyeHref);
                
                newEyeId = 'eye'+lastReplyId;
                $(eyeId).attr("id",newEyeId);
                
                startDivId = "fold"+lastReplyId;
                startDiv.setAttribute("id",startDivId);
            }
        }
    }
}


//offset 滚动到位置偏移量 这个偏移量跟屏幕像素密度有关
function jumpToFloorXByY (offset) {
    if(offset>0) {
         console.log('JS got a message jumpToFloorXByY ', offset);
         scrollTo(0,offset);
    }
 }



//offset 滚动到位置
//luozhuId 只看楼主id,如为0,则看全部
//fontSize  s 小号， m 中好， l 大号， xl 特大
function onloadFinish(offset,luozhuId,fontSize,checkFold)
{
    if(offset>0)
    {
        scrollTo(0,offset);
    }
    if (luozhuId>0)
    {
        onlyShowReplyForUser(luozhuId);
    }
    if(checkFold>0)
    {
        checkCommentHeight();
    }
    changeFontSize(fontSize);
}

//android onPageFinished方法会多次调用，但是我们只需要执行一次计算高度的方法，所以添加标志位判断
var tag=false;

function checkCommentHeight(){
    if(!tag){
        var height=$('.comment-box .comment-text').height();

        if(height!=null){
            if(height>116){
                $('.comment-text').removeClass('open');
                $('.comment-box .more').show();
            }else{
                $('.comment-text').addClass('open');
                $('.comment-box .more').hide();
            }
        }
        tag=true;
    }
}

    // 设置字体大小
    // param：size；s 小号， m 中好， l 大号， xl 特大
    window.changeFontSize = function (size) {
        var s1, s2, s3;
        console.log('JS got a message changeFontSize ', size);
        switch (size) {
            case 's':
                s1 = 20;
                s2 = 16;
                s3 = 14;
                break;
            case 'm':
                s1 = 24;
                s2 = 18;
                s3 = 16;
                break;
            case 'l':
                s1 = 26;
                s2 = 20;
                s3 = 18;
                break;
            case 'xl':
                s1 = 28;
                s2 = 24;
                s3 = 22;
                break;
        }

        $('.main >.hd').css('font-size', s1);
        $('.main-content').css('font-size', s2);
        $('.quote-content').css('font-size', s2);
        $('.deck-list li').css('font-size', s3);
    };


